<?php
/**
 * Template Name: Employees Landing Page V
 *
 * The employees landing page template file
 * Learn more: https://codex.wordpress.org/Template_Hierarchy
 *
 * @package WordPress
 * @subpackage Biuro
 * @since 1.0
 * @version 1.0
 */

    // global $motherson;
    $langing = 'motherson';

    define('langing', $langing);

    get_header('langing');
?>

<div class="l-section l-section--landing-5">
    <div class="l-section--inner">
<?php
        while ( have_posts() ) :
?>
        <div class="c-heading--landing-5">
<?php
            the_post();
            the_content();
?>
        </div>
<?php
        endwhile;
?>
    </div>
</div>

<div id="content">
    <main id="main" class="l-main">

        <div class="c-contact-landing-5">
            <div class="c-contact-landing-5--inner">

                <div class="c-contact-landing-5--content">
                    <?php
                        if ( is_active_sidebar( 'landing_page_employees_5' ) ) :
                            dynamic_sidebar( 'landing_page_employees_5' );
                        endif;
                     ?>
                </div>

                <div class="c-contact-landing-5--form">
                    <?php
                        echo do_shortcode('[biuro-contacts--employees page="landing-5"]');
                    ?>

                    <div class="c-contact-landing-5--aside">
                        <svg width="44" height="44" xmlns="http://www.w3.org/2000/svg">
                            <circle fill="#000" cx="22" cy="22" r="22"/>
                            <path d="M31.268 13.198l-1.466-1.466A2.49 2.49 0 0028.035 11c-.64 0-1.28.244-1.768.732L12.502 25.497l-.496 4.462a.938.938 0 001.035 1.035l4.458-.492 13.769-13.77a2.5 2.5 0 000-3.534zm-14.343 16.11l-3.634.403.405-3.64 10.308-10.308 3.233 3.233-10.312 10.312zm13.459-13.459l-2.263 2.263-3.233-3.233 2.263-2.263c.236-.236.55-.366.884-.366.334 0 .647.13.884.366l1.465 1.465c.487.488.487 1.28 0 1.768z" fill="#FFF"/>
                        </svg>
                        <p><?php _e('Fill out the inquiry form and we will get back to you within 2 business days!', 'biuro'); ?></p>
                    </div>
                </div>

            </div><!-- .c-contact-landing-5--inner -->

        </div><!-- .c-contact-landing-5 -->

        <div class="c-jobs c-jobs--alt">
            <div class="l-map--cities--panevezys">
                <div class="l-map--cities--panevezys-aside">
                    <div class="l-map--cities--panevezys-wrap">
                        <svg width="46px" height="47px" viewBox="0 0 20 21">
                            <path fill="#fff" d="M5 15.5A1.25 1.25 0 105 13a1.25 1.25 0 000 2.5zm10 0a1.25 1.25 0 100-2.5 1.25 1.25 0 000 2.5zm4.062-10h-.312V3.625c0-1.712-3.708-3.065-8.434-3.123L10 .5C5.125.5 1.25 1.875 1.25 3.625V5.5H.937A.937.937 0 000 6.438v3.125c0 .517.42.937.937.937h.313v6.25c0 .69.56 1.25 1.25 1.25v1.25c0 .69.56 1.25 1.25 1.25h1.875c.69 0 1.25-.56 1.25-1.25V18h6.25v1.25c0 .69.56 1.25 1.25 1.25h1.875c.69 0 1.25-.56 1.25-1.25V18c.69 0 1.25-.56 1.25-1.25V10.5h.312c.518 0 .938-.42.938-.937V6.438a.937.937 0 00-.938-.938zM5.625 19.25H3.75V18h1.875v1.25zm10.625 0h-1.875V18h1.875v1.25zm1.25-2.5h-15v-5h15v5zm0-6.25h-15v-5H17.5v5zm.001-6.25H2.5v-.613C2.629 3.117 5.133 1.75 10 1.75c4.867 0 7.37 1.367 7.501 1.887v.613z" fill-rule="nonzero"/>
                        </svg>
                        <h2><?php _e('Free transport to / from work in these cities', 'biuro'); ?></h2>
                    </div>
                    <svg width="188px" height="43px" viewBox="0 0 526.44 119.38" class="l-map--cities--panevezys-svg">
                        <use href="#ico--motherson"></use>
                    </svg>
                </div>
                <div class="l-map--cities--panevezys-inner" id="js-map--cities" data-source="panevezys"></div>
            </div>
        </div>

        <script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyBQjPQnLGLeICbpTTu8kLjVRrLUYYCTS2M" async defer></script>

        <?php
            if ( is_active_sidebar( 'front_page_feedbacks' ) ) :
                dynamic_sidebar( 'front_page_feedbacks' );
            endif;
         ?>

    </main><!-- .l-main -->
</div><!-- #content -->

<?php get_footer();
